/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.on.demand.admin.internal.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Pei-Jung Lan
 */
@ExtendedObjectClassDefinition(category = "users")
@Meta.OCD(
	id = "com.liferay.on.demand.admin.internal.configuration.OnDemandAdminConfiguration",
	localization = "content/Language",
	name = "on-demand-admin-configuration-name"
)
public interface OnDemandAdminConfiguration {

	@Meta.AD(
		deflt = "5",
		description = "authentication-token-expiration-time-description",
		name = "authentication-token-expiration-time", required = false
	)
	public int authenticationTokenExpirationTime();

	@Meta.AD(
		deflt = "24", description = "clean-up-interval-description",
		name = "clean-up-interval", required = false
	)
	public int cleanUpInterval();

}